deviceComanagementAuthorityConfiguration を作成する
名前空間: microsoft.graph
大事な:/beta バージョンの Microsoft Graph API は変更される可能性があります。運用環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい deviceComanagementAuthorityConfiguration オブジェクトを 作成します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementServiceConfig.ReadWrite.All, DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All, DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
POST /deviceManagement/deviceEnrollmentConfigurations
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、deviceComanagementAuthorityConfiguration オブジェクトの JSON 表現を指定します。
次の表は、deviceComanagementAuthorityConfiguration を作成するときに必要なプロパティを示しています。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | deviceEnrollmentConfiguration から継承されたアカウントの一意識別子 |
| displayName | String | deviceEnrollmentConfiguration から継承されたデバイス登録構成の表示名 |
| 説明 | String | deviceEnrollmentConfiguration から継承されたデバイス登録構成の説明 |
| priority | Int32 | 優先度は、登録構成が割り当てられている複数のグループにユーザーが存在する場合に使用されます。 ユーザーは、優先順位の低い値を持つ構成のみに従います。 deviceEnrollmentConfiguration からの継承 |
| createdDateTime | DateTimeOffset | deviceEnrollmentConfiguration から継承されたデバイス登録構成の UTC で作成された日付時刻 |
| lastModifiedDateTime | DateTimeOffset | deviceEnrollmentConfiguration から継承されたデバイス登録構成の UTC での最終変更日時 |
| version | Int32 | deviceEnrollmentConfiguration から継承されたデバイス登録構成のバージョン |
| roleScopeTagIds | String collection | 登録制限の省略可能なロール スコープ タグ。 deviceEnrollmentConfiguration からの継承 |
| deviceEnrollmentConfigurationType | deviceEnrollmentConfigurationType | deviceEnrollmentConfiguration から継承された登録構成の種類のサポート。 可能な値は、unknown、limit、platformRestrictions、windowsHelloForBusiness、defaultLimit、defaultPlatformRestrictions、defaultWindowsHelloForBusiness、defaultWindows10EnrollmentCompletionPageConfiguration、windows10EnrollmentCompletionPageConfiguration、deviceComanagementAuthorityConfiguration、singlePlatformRestriction、unknownFutureValue、enrollmentNotificationsConfiguration です。 |
| managedDeviceAuthority | Int32 | CoManagement Authority 構成 ManagedDeviceAuthority |
| installConfigurationManagerAgent | Boolean | CoManagement Authority 構成 InstallConfigurationManagerAgent |
| configurationManagerAgentCommandLineArgument | String | CoManagement Authority 構成 ConfigurationManagerAgentCommandLineArgument |
応答
成功した場合、このメソッドは 201 Created 応答コードと応答本文の deviceComanagementAuthorityConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/deviceEnrollmentConfigurations
Content-type: application/json
Content-length: 494
{
"@odata.type": "#microsoft.graph.deviceComanagementAuthorityConfiguration",
"displayName": "Display Name value",
"description": "Description value",
"priority": 8,
"version": 7,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"deviceEnrollmentConfigurationType": "limit",
"managedDeviceAuthority": 6,
"installConfigurationManagerAgent": true,
"configurationManagerAgentCommandLineArgument": "Configuration Manager Agent Command Line Argument value"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 666
{
"@odata.type": "#microsoft.graph.deviceComanagementAuthorityConfiguration",
"id": "0ba0057f-057f-0ba0-7f05-a00b7f05a00b",
"displayName": "Display Name value",
"description": "Description value",
"priority": 8,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"version": 7,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"deviceEnrollmentConfigurationType": "limit",
"managedDeviceAuthority": 6,
"installConfigurationManagerAgent": true,
"configurationManagerAgentCommandLineArgument": "Configuration Manager Agent Command Line Argument value"
}
フィードバック
フィードバックの送信と表示